Package org.apache.torque.map

## Class ForeignKeyMap.ColumnPair

- java.lang.Object
- - org.apache.torque.map.ForeignKeyMap.ColumnPair

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    ForeignKeyMap

      public static class ForeignKeyMap.ColumnPair
      extends Object
      implements Serializable

  A pair of local and Foreign column. This class is immutable.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ColumnPair​(ForeignKeyMap foreignKeyMap, ColumnMap local, String foreignName)` | Constructor.
    `ColumnPair​(ForeignKeyMap foreignKeyMap, ColumnMap local, ColumnMap foreign)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ColumnMap` | `getForeign()` | Returns the foreign column of the pair.
    `ForeignKeyMap` | `getForeignKeyMap()` | Returns the associated foreign key map.
    `ColumnMap` | `getLocal()` | Returns the local column of the pair.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnPair

          public ColumnPair​(ForeignKeyMap foreignKeyMap,
                            ColumnMap local,
                            ColumnMap foreign)

      Constructor.
      Parameters:
        `foreignKeyMap` - the foreign key map this columnPait belongs to.
        `local` - the local column, not null.
        `foreign` - the foreign column, not null.
      Throws:
        `NullPointerException` - if local or doreign are null.

    - #### ColumnPair

          public ColumnPair​(ForeignKeyMap foreignKeyMap,
                            ColumnMap local,
                            String foreignName)

      Constructor.
      Parameters:
        `foreignKeyMap` - the foreign key map this columnPait belongs to.
        `local` - the local column, not null.
        `foreignName` - the foreign column, not null.
      Throws:
        `NullPointerException` - if local or doreign are null.

  - ### Method Detail

    - #### getForeignKeyMap

          public ForeignKeyMap getForeignKeyMap()

      Returns the associated foreign key map.
      Returns:
        the associated foreign key map, not null.

    - #### getLocal

          public ColumnMap getLocal()

      Returns the local column of the pair.
      Returns:
        the local column of the pair, not null.

    - #### getForeign

          public ColumnMap getForeign()

      Returns the foreign column of the pair.
      Returns:
        the foreign column of the pair, not null.
      Throws:
        `IllegalStateException` - if the foreign table map builder was not yet built.